﻿<table width="380px" style="margin-left:20px;">
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>

    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Supplier";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "cmbSupplier";
                    settings.Width = 100;
                    settings.SelectedIndex = 0;
                    settings.Properties.DropDownWidth = 550;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.CallbackRouteValues = new { Controller = "Editors", Action = "MultiColumnComboBoxPartial" };
                    settings.Properties.EnableCallbackMode = true;
                    settings.Properties.CallbackPageSize = 30;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                    settings.Properties.TextFormatString = "{0}";
                    settings.Properties.ValueField = "CustomerID";
                    settings.Properties.ValueType = typeof(string);

                    settings.Properties.Columns.Add("ContactName", "ContactName", 130);
                    settings.Properties.Columns.Add("CompanyName", "CompanyName", System.Web.UI.WebControls.Unit.Percentage(100));
                    settings.Properties.Columns.Add("Country", "Country", 60);
                    settings.Properties.Columns.Add("Phone", "Phone", 100);
                }
         ).BindList(ViewData["Customers"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Order No";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtOrderNo";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 100;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Part No";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtPartNo";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 100;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Part Name";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtPartName";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                }
            ).GetHtml()
        </td>
        </tr>
        <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Supp. Plant Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtSuppPlantCode";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 100;
                }
            ).GetHtml()
        </td>
    </tr>
    

    @*Order Quantity*@
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Order Quantity";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtOrderQuantity";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 60;
                }
            ).GetHtml()
        </td>
    </tr>

    @*PCS Kanban*@
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "PCS Kanban";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtPCSKanban";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                }
            ).GetHtml()
        </td>
    </tr>


    @*Recieve Plant Code*@
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Recieve Plant Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtRPC ";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 100;
                }
            ).GetHtml()
        </td>
    </tr>

    @*Dock Code*@
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Dock Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name= "txtDockCode";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 60;
                }
            ).GetHtml()
        </td>
    </tr>

    @*Arrival Time*@
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Arrival Time";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtArrivalTime";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                }
            ).GetHtml()
        </td>
    </tr>

    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>

    <tr>
        <td colspan="2" align="center">
            <table>
                <tr>
                    <td width=""50% align="right">
                        @Html.DevExpress().Button(
                            btnSettings =>
                            {
                                btnSettings.Name = "btnSave";
                                btnSettings.ControlStyle.CssClass = "button";
                                btnSettings.Text = "Save";
                                btnSettings.Width = 80;
                                //btnSettings.ClientSideEvents.Click = "function(s, e){ popupPosting.Show(); }";
                            }
                        ).GetHtml()
                    </td>
                    <td width="50%">
                        @Html.DevExpress().Button(
                            btnSettings =>
                            {
                                btnSettings.Name = "btnCancelNew";
                                btnSettings.ControlStyle.CssClass = "button";
                                btnSettings.Text = "Cancel";
                                btnSettings.Width = 80;
                                btnSettings.ClientSideEvents.Click = "function(s, e){ popupNew.Hide(); }";
                            }
                        ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
     
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>
    
</table>